###%define debug_package %{nil}
Name:           libowfat
Version:        0.28
Release:        3%{?dist}
Summary:        Reimplementation of libdjb 

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.fefe.de/libowfat/
Source0:        http://dl.fefe.de/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dietlibc-devel


%description
This library is a reimplementation of libdjb, which means that it provides
Daniel Bernstein's interfaces (with some extensions).

It contains wrappers around memory allocation, buffered I/O, routines for
formatting and scanning, a full DNS resolver, several socket routines,
wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
around errno.  It also includes wrappers for Unix signal functions and a
layer of mmap and sendfile.

The library is available for use with the diet libc.


%package        devel
Summary:        Reimplementation of libdjb
Group:          Development/Libraries
Requires:       dietlibc-devel
Provides:       %{name}-static = %{version}-%{release}


%description    devel
This library is a reimplementation of libdjb, which means that it provides
Daniel Bernstein's interfaces (with some extensions).

It contains wrappers around memory allocation, buffered I/O, routines for
formatting and scanning, a full DNS resolver, several socket routines,
wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
around errno.  It also includes wrappers for Unix signal functions and a
layer of mmap and sendfile.

The library is available for use with the diet libc.


%prep
%setup -q

sed -i 's|\(D_REENTRANT\)|\1 %{optflags}|' GNUmakefile

%build
make -f GNUmakefile %{?_smp_mflags} \
        DIET="%{_bindir}/diet" \
        prefix="%{_prefix}/lib/dietlibc" \
        LIBDIR="%{_prefix}/lib/dietlibc/lib-%_arch" \
        INCLUDEDIR="%{_prefix}/lib/dietlibc/include/%{name}" 


%install
rm -rf %{buildroot}

make -f GNUmakefile install \
        DIET="%{_bindir}/diet" \
        prefix="%{buildroot}%{_prefix}/lib/dietlibc" \
        LIBDIR="%{buildroot}%{_prefix}/lib/dietlibc/lib-%_arch" \
        INCLUDEDIR="%{buildroot}%{_prefix}/lib/dietlibc/include/%{name}" \
        MAN3DIR="%{buildroot}%{_mandir}/man3"


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc README TODO COPYING CHANGES
%{_prefix}/lib/dietlibc/lib-%_arch/%{name}.a
%{_prefix}/lib/dietlibc/include/%{name}
%{_mandir}/man3/*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 19 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.28-2
- Honor optflags
- Add parallel build
- Correct libdir paths for dietlibc-integration 
- Cosmetical Issues

* Tue Mar 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.28-1
- New upstream release

* Sun Aug 24 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.27-1
- Initial release
